Bug 1518926 - Inconsistent capitalization for Retirement State field
Summary: Inconsistent capitalization for Retirement State field
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Greg Piatigorski
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 19:33 UTC by Tasos Papaioannou
Modified: 2019-02-07 23:00 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:45 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:51 UTC

Description Tasos Papaioannou 2017-11-29 19:33:49 UTC
Description of problem:

When a VM is retiring or retired, the Retirement State field displays as 'Retirement state'. All other fields have all words capitalized, e.g., 'Retirement Date':

****
Lifecycle
Discovered 		Wed, 29 Nov 2017 17:32:51 +0000
Last Analyzed 		Never
Retirement Date 	Wed, 29 Nov 2017 19:12:05 +0000
Retirement state 	Retired
Group 			Tenant My Company access 
****

Version-Release number of selected component (if applicable):

5.9.0.11.

How reproducible:

100%

Steps to Reproduce:
1.) Retire a VM.
2.) Refresh the VM summary page and look for the Retirement State field.


Actual results:

Field name is 'Retirement state'.

Expected results:

Field name is 'Retirement State'.

Additional info:

Comment 3 CFME Bot 2018-04-30 18:27:13 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/c9c084c8bb5681e57282bfc702e089ef0474241d
commit c9c084c8bb5681e57282bfc702e089ef0474241d
Author:     Greg Piatigorski <gpiatigo@gmail.com>
AuthorDate: Fri Apr 27 19:23:19 2018 -0400
Commit:     Greg Piatigorski <gpiatigo@gmail.com>
CommitDate: Fri Apr 27 19:23:19 2018 -0400

    Fixes display of VM Retirement State label

    https://bugzilla.redhat.com/show_bug.cgi?id=1518926

 app/helpers/vm_helper/textual_summary.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 4 Tasos Papaioannou 2018-06-26 16:27:16 UTC
Verified on 5.10.0.1.

Comment 5 errata-xmlrpc 2019-02-07 23:00:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.